Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1649553 - Unable to upgrade from F28 to F29 through spacewalk repos
Summary: Unable to upgrade from F28 to F29 through spacewalk repos
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 21:13 UTC by Ethan Bonick
Modified: 2019-05-28 23:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:24:39 UTC
Type: Bug


Attachments (Terms of Use)
DNF.log containing info from all steps above (728.54 KB, text/plain)
2018-11-13 21:13 UTC, Ethan Bonick
no flags Details

Description Ethan Bonick 2018-11-13 21:13:14 UTC
Created attachment 1505423 [details]
DNF.log containing info from all steps above

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run dnf upgrade --refresh using F28 repos
2. Install new gpg keys for F29 and spacewalk-client nightly repos
3. Change repos in spacewalk to F29 repos ( F29, everything and updates)
4. run dnf system-upgrade download --releasever=29 --allowerasing -y
5. run dnf system reboot

Actual results:
System reboots, can't contact spacewalk server and exits.


Expected results:
DNF should install cached packages.

Additional info:
See attached dnf log

Comment 1 Ethan Bonick 2018-11-13 21:14:45 UTC
Version release info:
2.7.5
  Installed: dnf-0:2.7.5-12.fc28.noarch at Tue 23 Oct 2018 07:22:36 PM GMT
  Built    : Fedora Project at Wed 18 Apr 2018 02:29:51 PM GMT

  Installed: rpm-0:4.14.2.1-2.fc28.x86_64 at Tue 13 Nov 2018 08:50:38 PM GMT
  Built    : Fedora Project at Mon 29 Oct 2018 01:16:30 PM GMT

Comment 2 Daniel Mach 2018-11-26 12:30:46 UTC
Network is not available during system upgrades (all packages are already on disk at that time). Can the spacewalk plugin be modified not to crash on unavailable server?

Comment 3 Michael Mráka 2018-12-03 10:44:35 UTC
(In reply to Daniel Mach from comment #2)
> Network is not available during system upgrades (all packages are already on
> disk at that time). Can the spacewalk plugin be modified not to crash on
> unavailable server?

It does not. I can't see any crash related to spacewalk plugin in logs.

AFAICS:

...
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 123, in cli_run
    ret = resolving(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 146, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 832, in resolve
    raise exc
dnf.exceptions.DepsolveError:
 Problem 1: problem with installed package sbd-1.2.1-4.fc28.1.x86_64
  - package sbd-1.2.1-4.fc28.1.x86_64 requires libcrmcluster.so.4()(64bit), but none of the providers can be installed
  - sbd-1.2.1-4.fc28.1.x86_64 does not belong to a distupgrade repository
  - pacemaker-cluster-libs-1.1.18-2.fc28.1.x86_64 does not belong to a distupgrade repository
 Problem 2: problem with installed package fence-agents-sbd-4.3.0-1.fc28.x86_64
  - package fence-agents-sbd-4.2.1-6.fc29.noarch requires sbd, but none of the providers can be installed
  - package fence-agents-sbd-4.3.0-1.fc29.noarch requires sbd, but none of the providers can be installed
  - package sbd-1.2.1-4.fc28.1.x86_64 requires libcib.so.4()(64bit), but none of the providers can be installed
  - pacemaker-libs-1.1.18-2.fc28.1.x86_64 does not belong to a distupgrade repository
  - fence-agents-sbd-4.3.0-1.fc28.x86_64 does not belong to a distupgrade repository
 Problem 3: problem with installed package fence-agents-all-4.3.0-1.fc28.x86_64
  - package fence-agents-all-4.3.0-1.fc29.noarch requires fence-agents-sbd, but none of the providers can be installed
  - package fence-agents-all-4.2.1-6.fc29.noarch requires fence-agents-sbd, but none of the providers can be installed
  - package fence-agents-sbd-4.2.1-6.fc29.noarch requires sbd, but none of the providers can be installed
  - package fence-agents-sbd-4.3.0-1.fc29.noarch requires sbd, but none of the providers can be installed
  - package sbd-1.2.1-4.fc28.1.x86_64 requires libcrmcluster.so.4()(64bit), but none of the providers can be installed
  - package fence-agents-sbd-4.3.0-1.fc28.x86_64 requires fence-agents-common = 4.3.0-1.fc28, but none of the providers can be installed
  - package pacemaker-cluster-libs-1.1.18-2.fc28.1.x86_64 requires libcfg.so.6()(64bit), but none of the providers can be installed
  - fence-agents-common-4.3.0-1.fc28.x86_64 does not belong to a distupgrade repository
  - fence-agents-all-4.3.0-1.fc28.x86_64 does not belong to a distupgrade repository
  - corosynclib-2.4.4-1.fc28.x86_64 does not belong to a distupgrade repository
...

This is most likely bug #1650173 (fedora  / fence-agents), no spacewalk involved.

...
2018-11-13T21:00:08Z ERROR There was an error communicating with Spacewalk server.
Spacewalk based repositories will be disabled.
rhn-plugin: Error communicating with server. The message was:
Name or service not known
...

Spacewalk plugin properly reported networking issue and disabled its repos.


...
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1016, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf-plugins/system_upgrade.py", line 321, in run
    self._call_sub("run")
  File "/usr/lib/python3.6/site-packages/dnf-plugins/system_upgrade.py", line 329, in _call_sub
    subfunc()
  File "/usr/lib/python3.6/site-packages/dnf-plugins/system_upgrade.py", line 493, in run_upgrade
    raise dnf.exceptions.MarkingError(_("Unable to match some of packages"))
dnf.exceptions.MarkingError: Unable to match some of packages
2018-11-13T21:00:12Z CRITICAL Error: Unable to match some of packages

There's no mention of spacewalk plugin in this traceback. I guess it's caused by missing packages from first traceback.

Comment 4 Ben Cotton 2019-05-02 20:11:18 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 23:24:39 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.